--- old/usr/src/uts/common/fs/zfs/zfs_debug.c	Thu Jul 26 14:19:27 2012
+++ new/usr/src/uts/common/fs/zfs/zfs_debug.c	Thu Jul 26 14:19:26 2012
@@ -20,8 +20,10 @@
  */
 /*
  * Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 2012 by Delphix. All rights reserved.
  */
 
+
 #include <sys/zfs_context.h>
 
 list_t zfs_dbgmsgs;
@@ -48,12 +50,12 @@
 		zfs_dbgmsg_size -= size;
 	}
 	mutex_destroy(&zfs_dbgmsgs_lock);
-	ASSERT3U(zfs_dbgmsg_size, ==, 0);
+	ASSERT0(zfs_dbgmsg_size);
 }
 
 /*
  * Print these messages by running:
- * 	echo ::zfs_dbgmsg | mdb -k
+ * echo ::zfs_dbgmsg | mdb -k
  *
  * Monitor these messages by running:
  * 	dtrace -q -n 'zfs-dbgmsg{printf("%s\n", stringof(arg0))}'
